
TYPO3.Flow - Feature # 11428

Status: Resolved Priority: Could have
Author: Karsten Dambekalns Category: Core
Created: 2010-12-13 Assigned To: Christopher Hlubek
Updated: 2013-08-14 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Add performance profiling support
Description

Add support for performance profiling, e.g. using XHProf http://pecl.php.net/package/xhprof

History
#1 - 2010-12-13 16:16 - Karsten Dambekalns
- Category set to Core
- Status changed from New to Under Review
- Assigned To set to Christopher Hlubek
- Priority changed from Should have to Could have
- Target version set to 1.0 alpha 14
- Start date changed from 2010-12-13 to 2010-12-11

https://review.typo3.org/522

#2 - 2010-12-13 16:17 - Karsten Dambekalns
- Status changed from Under Review to Needs Feedback

Hm. Maybe this is the way to go, but is profiling something you need to have supported in the framework? Is it really something a broad user base
needs?

I recently checked out https://github.com/preinheimer/xhprof which uses auto_prepend/auto_append to tie profiling into an application. And profiling 
everything seems to make sense.

#3 - 2011-04-07 08:35 - Robert Lemke

The initial implementation of XHProf support was committed as I3bdb20f763a4130291476b1750e392605e2492f3 but abandoned because it wasn't
finished / matching current master.

#4 - 2011-08-29 21:37 - Karsten Dambekalns
- Target version deleted (1.0 alpha 14)

#5 - 2013-08-14 16:09 - Karsten Dambekalns
- Status changed from Needs Feedback to Resolved
- Has patch set to No
With Plumber / PhpProfiler I guess we have what we need.
